# add guard for OSP packages not carried
%global rhosp 1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           puppet-tripleo
Version:        7.4.3
Release:        11%{?dist}
Summary:        TripleO Puppet Module
License:        ASL 2.0

URL:            https://github.com/openstack/puppet-tripleo

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=7.4.3
Patch0001: 0001-Allow-cinder-as-a-backend-for-Glance.patch
Patch0002: 0002-Release-7.4.4-pike.patch
Patch0003: 0003-Certmonger-Only-notify-haproxy-class-if-it-s-defined.patch
Patch0004: 0004-Remove-erroneous-octavia-code-related-to-sync_db.patch
Patch0005: 0005-Add-new-MySQL-server-option-to-mysql_bundle.patch
Patch0006: 0006-Galera-add-support-for-encrypted-SST.patch
Patch0007: 0007-Change-haproxy-check-to-tcpka-for-ec2_api.patch
Patch0008: 0008-Unset-MountFlags-in-docker.service-systemd-directive.patch
Patch0009: 0009-Make-docker-network-configurable.patch
Patch0010: 0010-Fix-bind-mounts-for-cinder-backup-volume.patch
Patch0012: 0012-Fix-ordering-when-pacemaker-with-bundles-is-being-us.patch
Patch0013: 0013-Set-disable-true-for-oci-machine-register.patch
Patch0014: 0014-Configure-libvirt-SASL-SCRAM-SHA1-when-TLS-is-enable.patch
Patch0015: 0015-Add-TLS-for-ec2api-service.patch
Patch0016: 0016-Add-TLS-for-ec2api-metadata-service.patch
Patch0017: 0017-Set-ProxyPreserveHost-in-ec2api-TLS-proxy.patch

BuildArch:      noarch

Requires:       puppet-fdio
Requires:       puppet-stdlib
Requires:       puppet-cassandra
Requires:       puppet-zookeeper
Requires:       puppet-firewall
Requires:       puppet-midonet
Requires:       puppet-tomcat
Requires:       puppet-keepalived
Requires:       puppet-haproxy
Requires:       puppet-systemd
Requires:       puppet-veritas_hyperscale
Requires:       puppet >= 2.7.0

%if 0%{rhosp} == 0
Requires:       puppet-etcd
Requires:       puppet-qdr
%endif


%description
Lightweight composition layer for Puppet TripleO.

%prep
%setup -q -n openstack-tripleo-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/tripleo/



%files
%{_datadir}/openstack-puppet/modules/tripleo/


%changelog
* Tue Nov 28 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-11
- Set ProxyPreserveHost in ec2api TLS proxy (rhbz#1513437)
- Add TLS for ec2api metadata service (rhbz#1513437)
- Add TLS for ec2api service (rhbz#1513437)

* Mon Nov 27 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-10
- Configure libvirt SASL SCRAM-SHA1 when TLS is enabled (rhbz#1513440)

* Thu Nov 23 2017 Damien Ciabrini <dciabrin@redhat.com> 7.4.3-9
- Set disable:true for oci-machine-register (rhbz#1516557)

* Wed Nov 22 2017 Damien Ciabrini <dciabrin@redhat.com> 7.4.3-8
- Fix ordering when pacemaker with bundles is being used (rhbz#1514495)

* Mon Nov 20 2017 Alan Bishop <abishop@redhat.com> 7.4.3-7
- Fix bind mounts for cinder-{backup,volume} (rhbz#1417645)

* Thu Nov 16 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-6
- Make docker network configurable (rhbz#1503021)

* Tue Nov 14 2017 Oliver Walsh <owalsh@redhat.com> 7.4.3-5
- Unset MountFlags in docker.service systemd directives (rhbz#1503214)

* Tue Nov 14 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-4
- Change haproxy check to tcpka for ec2_api (rhbz#1507599)

* Mon Nov 13 2017 Thierry Vignaud <tvignaud@redhat.com> 7.4.3-3
- Merge "Certmonger: Only notify haproxy class if it's defined" into stable/pike
- Release 7.4.4 (pike)
- Merge "Allow 'cinder' as a backend for Glance" into stable/pike

* Fri Nov 10 2017 Jon Schlueter <jschluet@redhat.com> 7.4.3-2
- Remove erroneous octavia code related to sync_db
- Certmonger: Only notify haproxy class if it's defined
- Allow 'cinder' as a backend for Glance (rhbz#1293435)

* Fri Nov 03 2017 RDO <dev@lists.rdoproject.org> 7.4.3-1
- Update to 7.4.3

* Tue Oct 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.2-1
- Update to 7.4.2

* Wed Oct 04 2017 rdo-trunk <javier.pena@redhat.com> 7.4.1-1
- Update to 7.4.1

* Sun Sep 10 2017 rdo-trunk <javier.pena@redhat.com> 7.4.0-1
- Update to 7.4.0

* Fri Aug 25 2017 Alfredo Moralejo <amoralej@redhat.com> 7.3.0-1
- Update to 7.3.0



